<template>
    <div class="eventCalender">
        <div v-for="event in events" :key="event.id" class="eventNotif">
            <div>
                <p class="semaine">{{event.dayOfWeek}}</p>
                <p class="jour">{{event.jour}}</p>
                <p class="mois">{{event.month}}</p>
            </div>
            <div class="descriptionEvent">
                <p>{{event.description}}</p>
            </div>
        </div>
    </div>
</template>

<script lang="ts" setup>
    import { defineProps } from 'vue';

    const props = defineProps({
        events: {
            type: Array,
            required: true
        }
    });
    
</script>